<?php

/**
 * HI! Wait, you're here to edit stufF? Cool. There is 1 simple mantra
 *  "TAKE BACKUP FOR YOUR SAKE AND MINE" ~ Leonard, 2018
 *
 * This is the phpVMS Main Configuration File
 *
 * This file won't be modified/touched by future versions
 * of phpVMS, you can change your settings here
 *
 * There may also be additional settings in app.config.php
 * To change it, copy the line into this file here, for the
 * settings to take effect
 *
 */

Config::Set('DEBUG_MODE', false);
Config::Set('DEBUG_LEVEL', 1); // 1 logs query errors, 2 logs all queries
Config::Set('ERROR_LEVEL', E_ALL ^ E_NOTICE);
// Config::Set('ERROR_LEVEL', 0);
// PHP INI SETTINGS OVERRIDE ~ Leo, 2018
@ini_set('memory_limit', '2048M'); // Some servers can have this configured in their cPanel.
@ini_set('display_errors', 'Off'); // Added by Leo to fix SmartCARS PIREP filing issue. EKVA, 2019
date_default_timezone_set("Asia/Kolkata");
// date_default_timezone_set('Europe/Berlin');
define('DBASE_USER', 'icrewsys_icrew');
define('DBASE_PASS', 'IB?wNKD6p%^E');
define('DBASE_NAME', 'icrewsys_icrew');
define('DBASE_SERVER', 'localhost');
define('DBASE_TYPE', 'mysqli');
define('TABLE_PREFIX', 'phpvms_');
define('SITE_URL', 'https://icrew.icrewsystems.com/icrew');
/*If you want to change the email, you do it here :) */
define('SITE_EMAIL', 'demo@icrewsystems.com');

#iCrew v4 Configuration starts from here
# What is Boolean ?
##  1 = Yes, 0 = No.
/* THIS IS YOUR iCrew Authentication Key. Never edit this key, for any reasons. Else iCrew will auto delete.*/
define('ICS_AUTH_KEY', 'a==');
define('FORCE_SSL', 1); # Your VA has an active SSL certificate? Set to 1, else set to 0.
define('VA_NAVDATA', '2205'); #VA AIRAC CYCLE to request Routes from NAv Database.
define('LOADING_SCREEN', 1);
define('SMARTCARS_PURCHASE_ID', '1408');
define('ICS_TRACKER_TOKEN', 'NOT_TESTED'); //ICS Token for iCrewTrackerPRO
define('ADMIN_BOT_ACCOUNT', '0001'); # ID of the admin bot account. All bots will be displayed on this account's name. THIS IS NOT A BOOLEAN VALUE.
define('ICS_VERSION', '4.3');
define('ICS_LICENCE_TYPE', 'UHJlbWl1bQ==');
define('FLARUM_ENABLED', 0); #Don't enable if you don't have the Flarum module installed, this will cause problems while registrations.
define('CODESHARE_MAIN_AIRLINE', 'AAN'); #Main airine under which you wish to operate the CodeShares.

Config::Set('REQUIRE_ENTRANCE_EXAM', 0); # Don't remove this, VA not configured for non-exam ops
define('REGISTRATION_MAIN_AIRLINE', 'AAN');
define('ENABLE_SNOWFALL_ON_DECEMBER', 1); #Just to give the Christmas'y feel! :D
// EXPERIMENTAL -- Enable Client Side (Browser) language rendering for iCrew.
define('ICREW_MULTI_LANG_SUPPORT', 0); if(ICREW_MULTI_LANG_SUPPORT == 1) {
 // Which language you want to Google Translate to!
 // Language Codes -> https://cloud.google.com/translate/docs/languages
 define('TRANSLATE_TO', 'nl'); // In Small case ONLY!
 define('LANGUAGE_NAME', 'Dutch');
}
$version = file_get_contents(CORE_PATH."/version");
define('ICREW_VERSION', $version);
define('AIRAC', '2101'); #AIRAC to use while getting route from vau.aero
#Set dynamic Login screen
define('LOGIN_BACKGROUND_FILE_PATH', SITE_URL.'/iCrew/backgrounds/backgrounds.txt');
#if allow_url_open doesnt work for some reason, we'll use method 2.
define('PATH_TO_BG', '../homeold/images/');


#iCS Auto PIREP (PIREPAdmin module extension)
 /* Awards are required to be added first! */
define('AWARD_SMOOTH_LANDINGS', '1'); # Issue awards for smooth landings?
define('LANDING_RATE_LIMIT', '-600'); # Max limit for landing rate?
define('SMOOTH_LANDING_LIMIT', '-100'); # All PIREPs with landing rate above (technically below) this will receive an award
define('FIRST_PIREP_AWARD_ID', '2');  # vAward ID for issuing for the First PIREP
define('SMOOTH_LANDING_AWARD_ID', '1');  # vAward ID for issuing for the smooth landing on PIREP, check database for 'vawards_awards' table.


#Login / Registration Form Stuff
define('MIN_HOURS', '50');
define('VA_TAGLINE', '6E On time. Every Time');
define('VA_HASHTAG', '#6E');
//You are setting the cost per nm, to be used in Jumpseat Operations.
define('JUMPSEAT_OPERATIONS_COST', '0.80');
define('JUMPSEAT_STATUS', '1'); //Set 0 to deactivate Jumpseat Feature.

define('WINDY_API_KEY','PsL-At-XpsPTZexBwUkO7Mx5I'); //Registered under iCrewsystems, should you face any problems, get your own key, its simple

Config::Set('WINDY_LAT', '51.9194'); //37.0902° N,By default, the map is focoused at a part of the world, to edit that, you change values here.
Config::Set('WINDY_LNG', '19.1451');
Config::Set('WINDY_LAT_PROFILE', '51'); //Basically same thing, but for the one in the dashboard, not in Advanced WX center
Config::Set('WINDY_LNG_PROFILE', '19');

# Social Media Settings

Config::Set('ALLOW_SOCIAL_MEDIA', true);
Config::Set('WHATSAPP_GROUP_INVITE', true);
Config::Set('FACEBOOK_PAGE', true);
Config::Set('TWITTER_PAGE', false);
Config::Set('INSTAGRAM_PAGE', true);
Config::Set('DISCORD', true);
Config::set('YOUTUBE', true);
Config::set('FORUM', true);

define('VOICE_API', '981dbeffccda4b9bb526b6a94d7c890a');
# Social Media Links
Config::Set('YOUTUBE_LINK', '#');
Config::Set('WHATSAPP_GROUP_LINK', '#');#Full Link
Config::Set('FACEBOOK_PAGE_LINK', '#'); #Full Link
Config::Set('TWITTER_PAGE_LINK', '#');  #Full Link
Config::Set('INSTAGRAM_PAGE_LINK', '#'); #Full Link
Config::Set('DISCORD_LINK', '#');
// Config::Set('TIKTOK_LINK', 'https://vm.tiktok.com/ZMLyVBJq5');
Config::Set('FORUM_LINK', '#');

define('DISCORD_API_NUMBER', '780815679745687552'); #API Serial Number
define('DISCORD_INVITE', 'https://discord.gg/GZevfYmADT');
define('DISCORD_API_THEME', 'dark'); # light or dark

define('DISCORD_ENABLE_WEBHOOKS', '0'); # If this is disabled, all discord notifications will be ceased.
define('DISCORD_WEBHOOK_URL', 'https://discord.com/api/webhooks/892869099535884319/q-sImZMLKFHhZ1deTHp7edb6k5lZ4gxy7uaOF8vCWnfFB6mzTdSz4ACHOb5hU9G-H8NF');
define('ICS_TEST', 'https://discord.com/api/webhooks/892869099535884319/q-sImZMLKFHhZ1deTHp7edb6k5lZ4gxy7uaOF8vCWnfFB6mzTdSz4ACHOb5hU9G-H8NF');
define('DISCORD_ADMIN_TEXT_CHANNEL', 'https://discord.com/api/webhooks/892868718080708671/vwR5Q0jC4iFlwC5U4ILXZLosCSjlSIXDaTGerzSRK-bpSg__lexY31y_gB5_piWRW1uB');
define('DISCORD_SCREENSHOTS_NOTIFY', 1);
define('DISCORD_SCREENSHOTS_URL', 'https://discord.com/api/webhooks/892869099535884319/q-sImZMLKFHhZ1deTHp7edb6k5lZ4gxy7uaOF8vCWnfFB6mzTdSz4ACHOb5hU9G-H8NF');
define('MANUAL_REVIEW_DISCORD_CHANNEL', 'https://discord.com/api/webhooks/892868718080708671/vwR5Q0jC4iFlwC5U4ILXZLosCSjlSIXDaTGerzSRK-bpSg__lexY31y_gB5_piWRW1uB');
define('REJECTION_REVIEW_DISCORD_CHANNEL', 'https://discord.com/api/webhooks/892868718080708671/vwR5Q0jC4iFlwC5U4ILXZLosCSjlSIXDaTGerzSRK-bpSg__lexY31y_gB5_piWRW1uB');


#Donations 
Config::Set('DONATION_ENABLED', true);
Config::Set('DONATION_URL', 'https://www.paypal.com/donate/?hosted_button_id=ANQUADHU5HAUS');

# Email Settings
Config::Set('EMAIL_FROM_NAME', 'Indigo Virtual');
Config::Set('EMAIL_FROM_ADDRESS', 'demo@icrewsystems.com');

# Email Settings
Config::Set('EMAIL_USE_SMTP', false);

# Add multiple SMTP servers by separating them with ;
Config::Set('EMAIL_SMTP_SERVERS', '');
Config::Set('EMAIL_SMTP_PORT', '465');
Config::Set('EMAIL_SMTP_USE_AUTH', true);
Config::Set('EMAIL_SMTP_SECURE', 'ssl'); # must be "ssl" for Google Apps
Config::Set('EMAIL_SMTP_USER', '');
Config::Set('EMAIL_SMTP_PASS', '');



# Page encoding options
Config::Set('PAGE_ENCODING', 'ISO-8859-2');
#Config::Set('PAGE_ENCODING', 'UTF-8');

# Clean URLs - set this to true, and then uncomment
# the lines indicated in the .htaccess file
Config::Set('URL_REWRITE', false);

# Maintenance mode - this disables the site to non-admins
Config::Set('MAINTENANCE_MODE', false);
Config::Set('MAINTENANCE_MESSAGE', 'We are currently down for maintenance, please check back soon.');

/*	Whether you have the /admin/maintenance.php script added into cron.
	If you do, set this to true. This saves many DB calls since phpVMS will
	have to 'fake' a cron-job
	*/
Config::Set('URL_REWRITE', false);

# Maintenance mode - this disables the site to non-admins
Config::Set('MAINTENANCE_MODE', false);
Config::Set('MAINTENANCE_MESSAGE', 'We are currently down for maintenance, please check back soon.');

/*	Whether you have the /admin/maintenance.php script added into cron.
	If you do, set this to true. This saves many DB calls since phpVMS will
	have to 'fake' a cron-job
	*/
Config::Set('USE_CRON', true);

Config::Set('CHECK_RELEASE_VERSION', true);
Config::Set('CHECK_BETA_VERSION', false);

# See more details about these in the docs
Config::Set('PAGE_EXT', '.htm');	# .htm is fine. You can still run PHP
Config::Set('PILOTID_OFFSET', 0);	# What # to start pilot ID's from
Config::Set('PILOTID_LENGTH', 3);	# Length of the Pilot ID
Config::Set('UNITS', 'nm');			# Your units: nm, mi or km
Config::Set('LOAD_FACTOR', '82');	# %age load factor
Config::Set('CARGO_UNITS', 'kg');

# After how long to mark a pilot inactive, in days
Config::Set('PILOT_AUTO_RETIRE', true);
Config::Set('PILOT_INACTIVE_TIME', 30);

# Automatically confirm pilots?
Config::Set('PILOT_AUTO_CONFIRM', false);

# Automatically calculate ranks?
Config::Set('RANKS_AUTOCALCULATE', true);

# For how many hours a pilot can edit their submitted PIREP (custom fields only)
Config::Set('PIREP_CUSTOM_FIELD_EDIT', '24');

# Whether to close any bids after a certain amount of time
Config::Set('CLOSE_BIDS_AFTER_EXPIRE', true);
Config::Set('BID_EXPIRE_TIME', '24'); # How many hours to hold bids for


# If someone places a bid, whether to disable that or not
Config::Set('DISABLE_SCHED_ON_BID', true);
Config::Set('DISABLE_BIDS_ON_BID', true);

# If you want to count transfer hours in rank calculations
Config::Set('TRANSFER_HOURS_IN_RANKS', true);

# Pilot pilots to only fly aircraft they're ranked to
Config::Set('RESTRICT_AIRCRAFT_RANKS', false);

# The StatsData::UserOnline() function - how many minutes to check
Config::Set('USERS_ONLINE_TIME', 20);

# Google Map Options
Config::Set('MAP_WIDTH', '800px');
Config::Set('MAP_HEIGHT', '600px');
# Valid types are G_NORMAL_MAP, G_SATELLITE_MAP, G_HYBRID_MAP, G_PHYSICAL_MAP

Config::Set('MAP_TYPE', 'CartoDB.Positron');
Config::Set('MAP_LINE_COLOR', '#ff0000');
Config::Set('MAP_CENTER_LAT', '24');
Config::Set('MAP_CENTER_LNG', '-77');
Config::Set('MAP_ZOOM_LEVEL', 4);
# ACARS options
#  Minutes, flights to show on the ACARS
#  Default is 720 minutes (12 hours)
Config::Set('ACARS_LIVE_TIME', 5);
Config::Set('ACARS_DEBUG', false);

# This is your airline's twitter account, if it exists
Config::Set('TWITTER_AIRLINE_ACCOUNT', '');
Config::Set('TWITTER_ENABLE_PUSH', false);
Config::Set('TWITTER_CONSUMER_KEY', '');
Config::Set('TWITTER_CONSUMER_SECRET', '');
Config::Set('TWITTER_OAUTH_TOKEN', '');
Config::Set('TWITTER_OAUTH_SECRET', '');

/*
  This is the unit of money. For non-dollars, use :
	Dollars ($), enter "$"
	Euro (�), enter "&#8364;"
	Yen (�), enter "&yen;"
	Pounds (�), enter "&pound;"

  For example, to set EUROS:
	Config::Set('MONEY_UNIT', '&#8364;');
 */

Config::Set('MONEY_UNIT', '$');
# Fuel info
/* Default fuel price, for airports that don't have
	And the surcharge percentage. View the docs
	for more details about these
*/
Config::Set('FUEL_DEFAULT_PRICE', '.80');
Config::Set('FUEL_SURCHARGE', '0');

# FSPassengers Settings 
# Units settings
Config::Set('WeightUnit', '0');   # 0=Kg 1=lbs
Config::Set('DistanceUnit', '2');   # 0=KM 1= Miles 2=NMiles
Config::Set('SpeedUnit', '1');   # 0=Km/H 1=Kts
Config::Set('AltUnit', '1');   # 0=Meter 1=Feet
Config::Set('LiquidUnit', '3');   # 0=liter 1=gal 2=kg 3=lbs
Config::Set('WelcomeMessage', 'phpVMS/FSPAX ACARS'); # Welcome Message

/* FSFK Settings
	Your FTP Server, and path to the lib/images folder (from where the FTP connects from), I
	ftp://phpvms.net/phpvms/lib/fsfk or ftp://phpvms.net/public_html/phpvms/lib/fsfk
	You want the path from when you connect to the FTP down to where the /lib/fsfk folder is
    SECURITY NOTE! Make a separate FTP user and password ONLY for this, with access only to this folder
*/
Config::Set('FSFK_FTP_SERVER', '');
Config::Set('FSFK_FTP_PORT', '21');
Config::Set('FSFK_FTP_USER', '');
Config::Set('FSFK_FTP_PASS', '');
Config::Set('FSFK_FTP_PASSIVE_MODE', 'TRUE');
Config::Set('FSFK_IMAGE_PATH', '/lib/fsfk'); // web path from SITE_ROOT

# Options for the signature that's generated
Config::Set('SIGNATURE_TEXT_COLOR', '#ffffff');
Config::Set('SIGNATURE_SHOW_EARNINGS', false);
Config::Set('SIGNATURE_SHOW_RANK_IMAGE', false);
Config::Set('SIGNATURE_SHOW_COPYRIGHT', false);


# Avatar information
Config::Set('AVATAR_FILE_SIZE', 5000);
Config::Set('AVATAR_MAX_WIDTH', 150);
Config::Set('AVATAR_MAX_HEIGHT', 150);

/* recaptcha */
Config::Set('RECAPTCHA_PUBLIC_KEY', '6Lf_iPIpAAAAAOqXkER3dycHuslECDFzfOaAEq6G');
Config::Set('RECAPTCHA_PRIVATE_KEY', '6Lf_iPIpAAAAAAvPLQhCygMxbRp3z3w8MFjsax80');